/* mbed Microcontroller Library
 * Copyright (c) 2019 ARM Limited
 * SPDX-License-Identifier: Apache-2.0
 */

#include "mbed.h"
#include "platform/mbed_thread.h"


// Blinking rate in milliseconds
#define BLINKING_RATE_MS                                                    500
Thread thread;
EventFlags event_flags;
AnalogIn ain(A0);

void ad_thread()
{
    while(1)
    {
        event_flags.wait_any(1);
        printf("ad=%f\n\r",ain.read());
    }

}

Ticker timer;
void ticker_handler()
{
    event_flags.set(1);
}

int main()
{
    // Initialise the digital pin LED1 as an output
    DigitalOut led(LED1);
    thread.start(ad_thread);
    timer.attach_us(&ticker_handler,1000000);
    while (true) {
        led = !led;
        thread_sleep_for(BLINKING_RATE_MS);
    }
}



